package com.ruoyi.pay.service;

import com.ruoyi.pay.domain.PayBaohuoProduct;
import com.ruoyi.pay.domain.vo.PayBaohuoProductVo;
import com.ruoyi.pay.domain.bo.PayBaohuoProductBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 包活工单产品关联Service接口
 *
 * @author ruoyi
 * @date 2025-05-12
 */
public interface IPayBaohuoProductService {

    /**
     * 查询包活工单产品关联
     */
    PayBaohuoProductVo queryById(Long id);

    /**
     * 查询包活工单产品关联列表
     */
    TableDataInfo<PayBaohuoProductVo> queryPageList(PayBaohuoProductBo bo, PageQuery pageQuery);

    /**
     * 查询包活工单产品关联列表
     */
    List<PayBaohuoProductVo> queryList(PayBaohuoProductBo bo);

    /**
     * 新增包活工单产品关联
     */
    Boolean insertByBo(PayBaohuoProductBo bo);

    /**
     * 修改包活工单产品关联
     */
    Boolean updateByBo(PayBaohuoProductBo bo);

    /**
     * 校验并批量删除包活工单产品关联信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
